الانتقال إلى المحتوى الرئيسي
POST
/
fish
/
voices
Fish Voices
curl --request POST \
  --url https://api.acedata.cloud/fish/voices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "voice_url": "https://platform.r2.fish.audio/task/604133d7b3c7430385382470f67770e8.mp3",
  "title": "<string>",
  "description": "<string>",
  "image_url": "<string>",
  "callback_url": "<string>"
}
'
{
  "data": [
    {
      "prompt": "let this man wear on this T-shirt",
      "image_url": "https://platform.cdn.acedata.cloud/nanobanana/8e9e0253-26f4-45b9-b3f8-ac1aed1c284b.png"
    }
  ],
  "success": true,
  "task_id": "93f11baf-347b-4bb4-9520-8653cb46d6a3",
  "trace_id": "a9063166-26ed-4451-85b5-54e896817c69"
}

التفويضات

Authorization
string
header
مطلوب

الترويسات

accept
enum<string>

Specifies the format of the response from the server. If not specified, the default format is application/json.

الخيارات المتاحة:
application/json

الجسم

application/json
voice_url
string
مطلوب

Audio links for your own tone.

مثال:

"https://platform.r2.fish.audio/task/604133d7b3c7430385382470f67770e8.mp3"

title
string

Title information of one's own timbre.

description
string

Description information of one's own timbre.

image_url
string

The cover link of your own tone.

callback_url
string

The callback URL which will be called when the images is generated, the URL should be accessible from the public internet. If specified, the response will be returned immediately and the result will be sent to the callback URL when it's ready.

الاستجابة

OK, the request is successful.

The response is of type object.